Debian Bug report logs - #677846
ITP: r-cran-rcurl -- R-interface to the libcurl library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <pravi.a@gmail.com>

Date: Sun, 17 Jun 2012 08:33:04 UTC

Owned by: Praveen A <pravi.a@gmail.com>

Severity: wishlist

Merged with 710005

Fixed in version r-cran-rcurl/1.95-4.1-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#677846; Package wnpp. (Sun, 17 Jun 2012 08:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 17 Jun 2012 08:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: r-crane-rcurl -- R-interface to the libcurl library
Date: Sun, 17 Jun 2012 14:01:18 +0530
Package: wnpp
Severity: wishlist

http://www.omegahat.org/RCurl/

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#677846; Package wnpp. (Sun, 17 Jun 2012 14:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 17 Jun 2012 14:27:08 GMT) Full text and rfc822 format available.

Message #10 received at 677846@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 677846@bugs.debian.org
Cc: Dirk Eddelbuettel <edd@debian.org>
Subject: r-cran-rcurl is almost ready
Date: Sun, 17 Jun 2012 19:55:43 +0530
It is uploaded to mentors.debian.net but needs some hardening fixes
http://mentors.debian.net/package/r-cran-rcurl

Hi Dirk,

I think it needs some changes to upstream build files. Can you please check?

Thanks
Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#677846; Package wnpp. (Sun, 17 Jun 2012 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 17 Jun 2012 15:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 677846@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Praveen A <pravi.a@gmail.com>
Cc: 677846@bugs.debian.org, Dirk Eddelbuettel <edd@debian.org>
Subject: Re: r-cran-rcurl is almost ready
Date: Sun, 17 Jun 2012 10:06:14 -0500
On 17 June 2012 at 19:55, Praveen A wrote:
| It is uploaded to mentors.debian.net but needs some hardening fixes
| http://mentors.debian.net/package/r-cran-rcurl
| 
| Hi Dirk,
| 
| I think it needs some changes to upstream build files. Can you please check?

I see the following at the webpage

– Buildsystem: Package uses CDBS
+ Package closes a WNPP bug
+ Homepage control field present
+ Package has lintian warnings
  W hardening-no-fortify-functions usr/lib/R/site-library/RCurl/libs/RCurl.so
  W hardening-no-relro usr/lib/R/site-library/RCurl/libs/RCurl.so
  P no-upstream-changelog
– "Maintainer" email is the same as the uploader
– Package is not native
– Package is the latest upstream version

so some comments in turn:

1) cdbs is a non-issue, all r-cran-* packages currently work that that way.
2) Lintian:
   2a) Hardering: no idea, I never did anything to my packages
   2b) No upstream changelog:  Is there really nothing in the upstream tarball?
3) Maintainer same as uploader: no idea
4) Package is not native: you need to fix that by saving it as foo_1.2.3.orig.tar.gz
5) Package is latest upstream version: no idea what that is about
| 
Cheers, Dirk

| Thanks
| Praveen
| -- 
| പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
| You have to keep reminding your government that you don't get your
| rights from them; you give them permission to rule, only so long as
| they follow the rules: laws and constitution.

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com  




Owner recorded as Praveen A <pravi.a@gmail.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 19 Jun 2012 05:45:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: r-cran-rcurl -- R-interface to the libcurl library' from 'ITP: r-crane-rcurl -- R-interface to the libcurl library' Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Sat, 28 Jul 2012 21:09:05 GMT) Full text and rfc822 format available.

Merged 677846 710005 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Tue, 28 May 2013 00:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen A <pravi.a@gmail.com>:
Bug#677846; Package wnpp. (Wed, 04 Sep 2013 12:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen A <pravi.a@gmail.com>. (Wed, 04 Sep 2013 12:42:09 GMT) Full text and rfc822 format available.

Message #26 received at 677846@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 710005@bugs.debian.org, 677846@bugs.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Cc: Ivo Maintz <ivo@maintz.de>, Praveen A <pravi.a@gmail.com>, Kjetil Kjernsmo <kjetil@kjernsmo.net>
Subject: Re: ITP: r-cran-rcurl -- R-interface to the libcurl library
Date: Wed, 4 Sep 2013 14:38:05 +0200
Hi,

it seems there were competing efforts to package r-cran-curl.  I have
not found any corresponding VCS repository to the both ITPed works and
mentors.d.n seems to have lost the package with sponsoring request.  So
I updated

   svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rcurl/trunk/

in Debian Med SVN and I'd regard it ready for upload.  Because I'm not
really keen on maintaining the package myself (it is just neede as some
prerequisite for some Debian Med package) I could imagine moving the
package into some common repository - but I'd regard any VCS as
mandatory to enable team maintenance of the package.

Please make some suggestion how we want to proceed from here.  If I do
not hear anything from any previously involved person I might upload
after 48 hours.

Kind regards

        Andreas.

-- 
http://fam-tille.de



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 06 Sep 2013 20:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen A <pravi.a@gmail.com>:
Bug#677846; Package wnpp. (Fri, 18 Oct 2013 14:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen A <pravi.a@gmail.com>. (Fri, 18 Oct 2013 14:18:09 GMT) Full text and rfc822 format available.

Message #33 received at 677846@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Duncan Temple Lang <duncan@r-project.org>
Cc: 677846@bugs.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Subject: Could you provide text data for mimeTypeExtensions in RCurl?
Date: Fri, 18 Oct 2013 16:12:45 +0200
Hi Duncan,

I'm trying to package RCurl for Debian.  Our ftpmasters recently
decided[1] that for any RData file shipped inside an R source package
which is not some measured data or so some human readable file and a
conversion script to produce the *.rda file should be shipped.

Could you help me (as a quite uneducated person in R - I just need
RCurl as some prerequisite for other software) to fit this criterion?

Kind regards and thanks for providing RCurl as free software

      Andreas.

----- Forwarded message from Paul Richards Tagliamonte <ftpmaster@ftp-master.debian.org> -----

Date: Sat, 21 Sep 2013 04:00:52 +0000
From: Paul Richards Tagliamonte <ftpmaster@ftp-master.debian.org>
To: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Andreas Tille <tille@debian.org>
Subject: r-cran-rcurl_1.95-4.1-1_amd64.changes REJECTED

Howdy maintainers,
...
There's also no info about RCurl/data/mimeTypeExtensions.rda, and if this is
being generated off some MIMEType table. Where's the script for that?
...

----- End forwarded message -----


[1] http://lists.debian.org/debian-devel/2013/09/msg00332.html

-- 
http://fam-tille.de



Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Fri, 27 Dec 2013 01:03:14 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Fri, 27 Dec 2013 01:03:14 GMT) Full text and rfc822 format available.

Message #38 received at 677846-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 677846-close@bugs.debian.org
Subject: Bug#677846: fixed in r-cran-rcurl 1.95-4.1-1
Date: Fri, 27 Dec 2013 01:00:16 +0000
Source: r-cran-rcurl
Source-Version: 1.95-4.1-1

We believe that the bug you reported is fixed in the latest version of
r-cran-rcurl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated r-cran-rcurl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Oct 2013 08:53:18 +0200
Source: r-cran-rcurl
Binary: r-cran-rcurl
Architecture: source amd64
Version: 1.95-4.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 r-cran-rcurl - GNU R General network (HTTP/FTP/...) client interface
Closes: 677846 710005
Changes: 
 r-cran-rcurl (1.95-4.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #677846, #710005)
   * Added README.source to document binary RData file in source tarball
   * Add license of RCurl/src/curl_base64.c
Checksums-Sha1: 
 049cc7e14eb59d467715a4916e207dc9e687fe8b 1536 r-cran-rcurl_1.95-4.1-1.dsc
 d9c412beec05a8863847c88a963dd1d578055409 870915 r-cran-rcurl_1.95-4.1.orig.tar.gz
 4d210884df6d3f4efbec691a1d40ca8fa60284a1 21360 r-cran-rcurl_1.95-4.1-1.debian.tar.gz
 f734ecd5a94d09696879355c1dcc52d5d39bfbfa 534582 r-cran-rcurl_1.95-4.1-1_amd64.deb
Checksums-Sha256: 
 7c265cfa6e3d7d8d8c0c62442d9dfec1cb103cee0b9a7f81520604abc147e31a 1536 r-cran-rcurl_1.95-4.1-1.dsc
 8303d4673a2e9c503d2d81aee1d86f53eb1007da5642b1f24967aa1ca3edf0ae 870915 r-cran-rcurl_1.95-4.1.orig.tar.gz
 9b83c818e233218f1109f8092fa88d3bb32aa559f037e371eb67023854523d35 21360 r-cran-rcurl_1.95-4.1-1.debian.tar.gz
 a776024fee38c5d97c7f456c61eb1864908727fd1903143603d7d6a535815503 534582 r-cran-rcurl_1.95-4.1-1_amd64.deb
Files: 
 34134cccc6074613da1b3b8856a00776 1536 gnu-r optional r-cran-rcurl_1.95-4.1-1.dsc
 ae05762f9dceb92e9aa95417399ce931 870915 gnu-r optional r-cran-rcurl_1.95-4.1.orig.tar.gz
 365902f876ce11c375c73b8b823e2f6d 21360 gnu-r optional r-cran-rcurl_1.95-4.1-1.debian.tar.gz
 cbc6a642f803abbe86c9943f975f0da4 534582 gnu-r optional r-cran-rcurl_1.95-4.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlKciacACgkQYDBbMcCf01ogKQCfVeroADzLP1NFJotkUEzQzIto
y84AnRs3VISqvAeBGXUe2qaMyoqCy8FS
=v9Rs
-----END PGP SIGNATURE-----




Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Fri, 27 Dec 2013 01:03:15 GMT) Full text and rfc822 format available.

Notification sent to Kjetil Kjernsmo <kjetil@kjernsmo.net>:
Bug acknowledged by developer. (Fri, 27 Dec 2013 01:03:16 GMT) Full text and rfc822 format available.

Message #43 received at 710005-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 710005-close@bugs.debian.org
Subject: Bug#710005: fixed in r-cran-rcurl 1.95-4.1-1
Date: Fri, 27 Dec 2013 01:00:16 +0000
Source: r-cran-rcurl
Source-Version: 1.95-4.1-1

We believe that the bug you reported is fixed in the latest version of
r-cran-rcurl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 710005@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated r-cran-rcurl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Oct 2013 08:53:18 +0200
Source: r-cran-rcurl
Binary: r-cran-rcurl
Architecture: source amd64
Version: 1.95-4.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 r-cran-rcurl - GNU R General network (HTTP/FTP/...) client interface
Closes: 677846 710005
Changes: 
 r-cran-rcurl (1.95-4.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #677846, #710005)
   * Added README.source to document binary RData file in source tarball
   * Add license of RCurl/src/curl_base64.c
Checksums-Sha1: 
 049cc7e14eb59d467715a4916e207dc9e687fe8b 1536 r-cran-rcurl_1.95-4.1-1.dsc
 d9c412beec05a8863847c88a963dd1d578055409 870915 r-cran-rcurl_1.95-4.1.orig.tar.gz
 4d210884df6d3f4efbec691a1d40ca8fa60284a1 21360 r-cran-rcurl_1.95-4.1-1.debian.tar.gz
 f734ecd5a94d09696879355c1dcc52d5d39bfbfa 534582 r-cran-rcurl_1.95-4.1-1_amd64.deb
Checksums-Sha256: 
 7c265cfa6e3d7d8d8c0c62442d9dfec1cb103cee0b9a7f81520604abc147e31a 1536 r-cran-rcurl_1.95-4.1-1.dsc
 8303d4673a2e9c503d2d81aee1d86f53eb1007da5642b1f24967aa1ca3edf0ae 870915 r-cran-rcurl_1.95-4.1.orig.tar.gz
 9b83c818e233218f1109f8092fa88d3bb32aa559f037e371eb67023854523d35 21360 r-cran-rcurl_1.95-4.1-1.debian.tar.gz
 a776024fee38c5d97c7f456c61eb1864908727fd1903143603d7d6a535815503 534582 r-cran-rcurl_1.95-4.1-1_amd64.deb
Files: 
 34134cccc6074613da1b3b8856a00776 1536 gnu-r optional r-cran-rcurl_1.95-4.1-1.dsc
 ae05762f9dceb92e9aa95417399ce931 870915 gnu-r optional r-cran-rcurl_1.95-4.1.orig.tar.gz
 365902f876ce11c375c73b8b823e2f6d 21360 gnu-r optional r-cran-rcurl_1.95-4.1-1.debian.tar.gz
 cbc6a642f803abbe86c9943f975f0da4 534582 gnu-r optional r-cran-rcurl_1.95-4.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlKciacACgkQYDBbMcCf01ogKQCfVeroADzLP1NFJotkUEzQzIto
y84AnRs3VISqvAeBGXUe2qaMyoqCy8FS
=v9Rs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Jan 2014 07:25:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:41:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.